//
// apiGetClient.h - Use P4API to find current client name and root.
//
// Copyright (c) 2002 Anders Johnson <anders@ieee.org>. All rights
// reserved. Refer to the accompanying README file for terms of use,
// modification and distribution.
//

#ifdef __cplusplus
# define EXTERN extern "C"
#else
# define EXTERN extern
#endif

/*
 * Get current client info via the Perforce API.
 * If name is non-NULL, then its referent is set to point to the client
 * name string (unless p4 info does something unexpected, in which case
 * it is set to NULL). If root is non-NULL, then its referent is set to
 * point to the root of the current client, or NULL if the current client
 * does not exists (or p4 info does something unexpected).
 * Diagnostics are printed to stderr prefixed by 'me'.
 */
EXTERN void apiGetClient(char **name, char **root, char *me);

